%{!?dist: %define dist .slc5}
Name: cern-cvi-addons
Version: 0.5
Release: 1%{?dist}
Summary: '%{name}' configures VM guests in the CVI service
Group: Applications/System
Source: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

Requires: wget
Requires: cern-config-users

%description 
'%{name}' configures an SLC guest in the CVI service:
  * it creates the necessary accounts + sudo privileges

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 addVMAdmins $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 cvi-delete-context $RPM_BUILD_ROOT/%{_sbindir}

mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
install -m 755 cvi-addon   $RPM_BUILD_ROOT/%{_initrddir}/cvi

mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/run/cvi

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_sbindir}/addVMAdmins
%{_sbindir}/cvi-delete-context
%{_initrddir}/cvi
%{_localstatedir}/run/cvi
#%doc foo.txt

%post
/sbin/chkconfig --add cvi

%preun
if [ "$1" = 0 ] ; then
  #service cvi stop >/dev/null 2>&1
  /sbin/chkconfig --del cvi
fi

%postun
#if [ "$1" -ge "1" ]; then
#  service cvi condrestart >/dev/null 2>&1
#fi

%changelog
* Thu Sep 23 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.5-1
- [addVMAdmins]
  - use statefile to prevent multiple invocations
  - [pre-CVI2] invoke cern-config-users to create AFS accounts, configure root access, etc
- add delete-context script

* Mon Jul 19 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.4-1
- [addVMAdmins] simplify parsing of list of admins

* Fri Jul 16 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.3-2
- Bump release number (no other changes)

* Thu Jul  1 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.3-1
- Fix bug affecting admins with loginnames shorter than 4 characters (like "lat"...)

* Mon Apr 26 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.1-1
- initial build
